%global source_name browser-token-signing

Name:           firefox-esteid-plugin
Version:        3.12.1
Release:        2%{?dist}
Summary:        Firefox plugin for signing with Estonian ID-cards
License:        LGPLv2+
URL:            http://www.ria.ee
Source0:        https://github.com/open-eid/%{source_name}/archive/%{source_name}-%{version}.tar.gz


BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(libpcsclite)

# Opensc is used to digitally sign with Estonian ID card
Requires:       opensc%{?_isa}
Requires:       mozilla-filesystem%{?_isa}

# Replace esteid-browser-plugin
Provides:       esteid-browser-plugin%{?_isa} = %{version}-%{release}
Obsoletes:      esteid-browser-plugin < 3.8.0


%description
Firefox Estonian ID card digital signature plugin. This package provides a
Firefox plugin that allows giving digital signatures on web sites using the
Estonian ID card. This allows giving legally binding signatures to documents and
agreements on government, bank and other service provider web sites that support
the Estonian ID card. 

%prep
%setup -q -n %{source_name}-%{version}

%build
make plugin %{?_smp_mflags} C_FLAGS='%{optflags} -std=gnu99'

%install
install -D npesteid-firefox-plugin.so %{buildroot}%{_libdir}/mozilla/plugins/npesteid-firefox-plugin.so

%files
%doc README.md LICENSE.LGPL RELEASE-NOTES.txt
%{_libdir}/mozilla/plugins/npesteid-firefox-plugin.so


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.12.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Jan 14 2017 Mihkel Vain <mihkel@fedoraproject.org> - 3.12.1-1
- New upstream release
- Project moved to github
- Update description

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.8.0.1115-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.0.1115-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Sep 29 2014 Mihkel Vain <mihkel@fedoraproject.org> - 3.8.0.1115-4
- Fix build and remove make install ... in spec file

* Sun Jun 22 2014 Mihkel Vain <mihkel@fedoraproject.org> - 3.8.0.1115-3
- Rename package to firefox-esteid-plugin

* Fri Jan 31 2014 Mihkel Vain <mihkel@fedoraproject.org> - 3.8.0.1115-2
- Fix spec according to suggestions

* Fri Jan 17 2014 Mihkel Vain <turakas@gmail.com> - 3.8.0.1115-1
- First rpm package for Fedora

* Fri Aug 13 2010 RIA <info@ria.ee> 1.0-1
- first build no changes

